net.sf.jasperreports.olap.mapping

## Class MappingParser

- java.lang.Object
- - antlr.Parser
  - - antlr.LLkParser
    - - net.sf.jasperreports.olap.mapping.MappingParser

- All Implemented Interfaces:
    MappingParserTokenTypes

      public class MappingParser
      extends antlr.LLkParser
      implements MappingParserTokenTypes

  Version:
    $Id: MappingParser.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `_tokenNames`
    `static antlr.collections.impl.BitSet` | `_tokenSet_0`
    `static antlr.collections.impl.BitSet` | `_tokenSet_1`
    `static antlr.collections.impl.BitSet` | `_tokenSet_2`
    `static antlr.collections.impl.BitSet` | `_tokenSet_3`
    `static antlr.collections.impl.BitSet` | `_tokenSet_4`
    `static antlr.collections.impl.BitSet` | `_tokenSet_5`
    `static antlr.collections.impl.BitSet` | `_tokenSet_6`
    `static antlr.collections.impl.BitSet` | `_tokenSet_7`
    `static antlr.collections.impl.BitSet` | `_tokenSet_8`
    `static antlr.collections.impl.BitSet` | `_tokenSet_9`

    - ### Fields inherited from class antlr.Parser

      `astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

    - ### Fields inherited from interface net.sf.jasperreports.olap.mapping.MappingParserTokenTypes

      `COMMA, DIGIT, EOF, INT, LETTER, LITERAL_Axis, LITERAL_Chapters, LITERAL_Columns, LITERAL_Data, LITERAL_FormattedData, LITERAL_Pages, LITERAL_Rows, LITERAL_Sections, LPAREN, MINUS, MONDRNAME, NAME, NULL_TREE_LOOKAHEAD, PLUS, POINT, QMARK, RPAREN, STAR, WS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MappingParser(antlr.ParserSharedInputState state)`
    `` | `MappingParser(antlr.TokenBuffer tokenBuf)`
    `protected` | `MappingParser(antlr.TokenBuffer tokenBuf, int k)`
    `` | `MappingParser(antlr.TokenStream lexer)`
    `protected` | `MappingParser(antlr.TokenStream lexer, int k)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Axis` | `axis()`
    `int` | `axisName()`
    `AxisPosition` | `axisPosition(int axis)`
    `java.util.List<AxisPosition>` | `axisPositions()`
    `DataMapping` | `dataMapping()`
    `int` | `idx()`
    `Mapping` | `mapping()`
    `Member` | `member()`
    `MemberDepth` | `memberDepth(Axis axis, TuplePosition pos)`
    `java.util.List<Member>` | `memberFilter()`
    `Member` | `memberLevel()`
    `MemberMapping` | `memberMapping()`
    `java.lang.String` | `mondrName()`
    `java.lang.String` | `name()`
    `MemberProperty` | `property()`
    `void` | `setMappingMetadata(MappingMetadata mappingMeta)`
    `Tuple` | `tuple()`
    `TupleMember` | `tupleMember()`
    `TuplePosition` | `tuplePosition(Axis axis)`

    - ### Methods inherited from class antlr.LLkParser

      `consume, LA, LT, traceIn, traceOut`

    - ### Methods inherited from class antlr.Parser

      `addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _tokenNames

          public static final java.lang.String[] _tokenNames

    - #### _tokenSet_0

          public static final antlr.collections.impl.BitSet _tokenSet_0

    - #### _tokenSet_1

          public static final antlr.collections.impl.BitSet _tokenSet_1

    - #### _tokenSet_2

          public static final antlr.collections.impl.BitSet _tokenSet_2

    - #### _tokenSet_3

          public static final antlr.collections.impl.BitSet _tokenSet_3

    - #### _tokenSet_4

          public static final antlr.collections.impl.BitSet _tokenSet_4

    - #### _tokenSet_5

          public static final antlr.collections.impl.BitSet _tokenSet_5

    - #### _tokenSet_6

          public static final antlr.collections.impl.BitSet _tokenSet_6

    - #### _tokenSet_7

          public static final antlr.collections.impl.BitSet _tokenSet_7

    - #### _tokenSet_8

          public static final antlr.collections.impl.BitSet _tokenSet_8

    - #### _tokenSet_9

          public static final antlr.collections.impl.BitSet _tokenSet_9

  - ### Constructor Detail

    - #### MappingParser

          protected MappingParser(antlr.TokenBuffer tokenBuf,
                       int k)

    - #### MappingParser

          public MappingParser(antlr.TokenBuffer tokenBuf)

    - #### MappingParser

          protected MappingParser(antlr.TokenStream lexer,
                       int k)

    - #### MappingParser

          public MappingParser(antlr.TokenStream lexer)

    - #### MappingParser

          public MappingParser(antlr.ParserSharedInputState state)

  - ### Method Detail

    - #### setMappingMetadata

          public void setMappingMetadata(MappingMetadata mappingMeta)

    - #### mapping

          public final Mapping mapping()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### memberMapping

          public final MemberMapping memberMapping()
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### dataMapping

          public final DataMapping dataMapping()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### member

          public final Member member()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### property

          public final MemberProperty property()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### axis

          public final Axis axis()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### tuplePosition

          public final TuplePosition tuplePosition(Axis axis)
                                            throws antlr.RecognitionException,
                                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### memberDepth

          public final MemberDepth memberDepth(Axis axis,
                                TuplePosition pos)
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### memberLevel

          public final Member memberLevel()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### idx

          public final int idx()
                        throws antlr.RecognitionException,
                               antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### axisName

          public final int axisName()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### mondrName

          public final java.lang.String mondrName()
                                           throws antlr.RecognitionException,
                                                  antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### name

          public final java.lang.String name()
                                      throws antlr.RecognitionException,
                                             antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### memberFilter

          public final java.util.List<Member> memberFilter()
                                                    throws antlr.RecognitionException,
                                                           antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### axisPositions

          public final java.util.List<AxisPosition> axisPositions()
                                                           throws antlr.RecognitionException,
                                                                  antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### axisPosition

          public final AxisPosition axisPosition(int axis)
                                          throws antlr.RecognitionException,
                                                 antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### tuple

          public final Tuple tuple()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

    - #### tupleMember

          public final TupleMember tupleMember()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com